数据提供商: SEC API
按股票代码、CIK或年份搜索高管薪酬信息(SEC API)
$0.0005 / 次调用在 45 秒内响应
可以使用类似Lucene的查询方式,针对股票代码、公司代码、年份和姓名等字段,在代理声明中搜索有关高管薪酬的信息(例如:ticker:<symbol> AND year:2024)。每一行都代表一位高管在一年内的各项收入:工资、奖金、股票奖励、期权奖励以及总薪酬。这些行会以普通列表的形式返回,每页最多显示50行(默认值为10行),并且会根据年份进行排序,同时会指定起始显示的行号。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the SEC API endpoint /compensation on Glasser.bash
glasser run -p secapi -e '/compensation' -i '{"size":2,"query":"ticker:AAPL"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"secapi","endpoint":"/compensation","input":{"size":2,"query":"ticker:AAPL"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究某个职位的薪酬时,可以查找与目标职位和地区相关的薪资数据。
复制此提示词到你的 Agent,查找薪资研究的参考数据。
提示词
Use secapi:/compensation on Glasser.
Find a compensation benchmark for my role and location in the returned salary data.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"from": {
"type": "integer",
"maximum": 10000,
"minimum": 0
},
"size": {
"type": "integer",
"maximum": 50,
"minimum": 1
},
"query": {
"type": "string",
"maxLength": 3500,
"minLength": 1
},
"sortOrder": {
"enum": [
"asc",
"desc"
],
"type": "string"
}
},
"additionalProperties": false
}json
{
"size": 2,
"query": "ticker:AAPL"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.0005 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |